/*Hjælp fra Chat GPT til at få skrift ovenpå hero billede. Link: https://chatgpt.com/share/69319955-cf44-8007-aae6-65349a92849b*/

.hero {
    display: flex;
    flex-direction: column; 
    align-items: center; 
}

.hero-img{
    width: 100%;
}

.hero-img img {
    width: 100%;
    height: auto;
    display: block;
}

.overlap-title {
    margin-top: -50px;  
    background: white;
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 6px;
    text-align: center;  
}

/* ------------ Intro tekst ------------ */

.intro{
    min-width: 750px;
    text-align: left;
}

.intro__text{
    line-height: 50px;
    font-size: 30px;
    margin: 30px 180px 30px;
}

.aktiviteter{
    background-color: #A7B9A8;
    padding: 40px 0;
    text-align: center;
}

/* ------------ Aktivitestmuligheder ------------ */
.aktiviteter__cards{
    display: flex;
    flex-direction: row;
    text-align: center;
    max-width: 1200px;
    align-items: stretch;
    margin: 0 auto;
    gap: 20px;
}

.aktiviteter__cards-item{
    display: flex;
    flex-direction: column;
    width: 320px;
    min-height: 360px;
    border-radius: 5px;
    overflow: hidden;
    flex: 1;
}

.aktiviteter__cards-img{
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.aktiviteter__cards-background{
    background-color: #F5F5F5;
    padding: 16px;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    width: 100%;
    box-sizing: border-box;
}

.aktiviteter__cards-heading{
    font-size:25px;
    font-weight: 900;
}

.aktiviteter__cards-text{
    font-size:20px;
}

/* ------------ Faciliteter ------------ */
.facilities{
    text-align: center;
    margin: 48px 0 ;
}

.facilities__text{
    line-height: 50px;
    font-size: 30px;
    margin: 30px 180px 0px;
}

.facilities__link{
    color: #082D10;
    font-weight: 800;
    font-size: 30px;
}

/* ------------ Prisliste ------------ */
.pricing{
    position: relative;
    padding: 80px 0px;
    overflow: hidden;
    min-height: 520px;
}

.discount__badge-img{
    position: absolute;
    top: 5%;
    right: 10%;
    width: 200px;
    height: auto;
    z-index: 3;
    cursor: pointer; 
    transition: transform 0.25s ease;
}

.discount__badge-img:hover{
    transform: scale(1.40);
}

.background__green-img{
    position: absolute;
    inset: 0;
    width: 100%;
    height: 65%;
    object-fit: cover;
    z-index: 0;
}

.background__white-img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 70%;
    max-width: 1200px;
    height: 80%;
    object-fit: cover;
    z-index: 1;
    border-radius: 12px;
}

.pricing__inner{
    position: relative;
    max-width: 980px;
    margin: 0 auto;
    padding: 60px 40px;
    z-index: 2;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}


.pricing__title{
    margin-bottom: 48px;
}

.pricing__grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
    margin-bottom: 40px;
}

.price-card{
    background: #F5F5F5;
    padding: 40px 24px;
    border-radius: 12px;
    border: 2px solid #d0d8d0;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.06);
    line-height: 35px;
    text-align: center;
    display: flex;
    flex-direction: column;
    min-height: 350px;
    box-sizing: border-box;
}

.price-card__icon{
    width: 30px;
    height: auto;
    margin: 0 auto 16px;
    display: block;
}

.price-card-title{
    font-size:20px ;
    font-weight: 600;
    margin-bottom: 8px;
}

.price-card-text{
    font-size:20px ;
    margin-bottom: 16px;
    font-weight: 600;
}

.price-card__price{
    font-size:20px ;
    font-weight: 600;
}

.pricing__note{
    max-width: 700px;
    margin: 0 auto 24px auto;
    font-size: 30px;
}

.pricing__inner a{
    display: block;
    text-align: center;
    cursor: pointer;
    align-self: center;
}


/* ------------ Linje break ------------ */

.divider{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin: 40px 0;
}

.divider__line{
    height: 2px;
    background-color: #082D10;
    flex: 1;
}

.divider__line-left{
    margin-right: 20px;
    margin-left: 50px;
}

.divider__line-right{
    margin-left: 20px;
    margin-right: 50px;
}

.divider__icon img{
    width: 40px;
    height: auto;
}


/* ------------ Udtagelser ------------ */
/* Har hentet inspiration fra youtube til billedeslider https://www.youtube.com/watch?v=1CZhGDU5cWM og W3 https://www.w3schools.com/howto/howto_js_slideshow.asp 
W3 med blockquote  https://www.w3schools.com/tags/tag_blockquote.asp */
.testimonials{
    max-width: 1200px;
    margin: 50px auto;
    position: relative;
}

.testimonials input[type="radio"]{
    display: none;
}

.testimonial__title{
    margin-bottom: 30px;
}

.testimonials__viewport{
    overflow: hidden;
    width: 100%;
}

.testimonials__track{
    display: flex;
    gap: 30px;
    transition: transform 0.5s ease;
    align-items: stretch;
}

.testimonials__slide{
    flex: 0 0 calc(25% - 30px);
    display: flex;
}


.testimonial{
    background-color: #A7B9A8;
    padding: 40px;
    border-radius: 10px;
    min-height: 250px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.testimonial__text {
    text-align: center;
    font-size: 20px;
    line-height: 2;
    letter-spacing: 0.3px;
    margin-bottom: 50px;
}

.testimonial__author{
    font-weight: 900;
    font-size: 20px;
}

.testimonials__nav{
    position: absolute;
    top: 42%;
    transform: translateY(-50%);
    background: none;
    border: none;
    padding: 10px;
    font-size: 28px;
    cursor:pointer;
    border-radius: 4px;
    display: none;
}

.testimonials__nav-prev{
    top: 225px;
    left: -40px; 
    color: #082D10;
}

.testimonials__nav-next{
    top: 225px;
    right: -40px;
    color: #082D10;
}

.testimonials__bullets{
    margin-top:20px;
    position: absolute;
    bottom: -30px;
    left: 50%;
    transform: translateX(-50%);
    bottom: -30px;
    white-space: nowrap;
    margin: 0;
    z-index: 10;
}

.testimonials__bullet{
    display: inline-block;
    width: 12px;
    height: 12px;
    margin: 0 6px;
    background-color: #ccc;
    border-radius: 50%;
    cursor: pointer;
    transition: background-color 0.3s;
}

#slider1:checked ~ .nav-prev-1,
#slider1:checked ~ .nav-next-1{
    display: block;
}

#slider2:checked ~ .nav-prev-2,
#slider2:checked ~ .nav-next-2{
    display: block;
}

#slider3:checked ~ .nav-prev-3,
#slider3:checked ~ .nav-next-3{
    display: block;
}

#slider4:checked ~ .nav-prev-4,
#slider4:checked ~ .nav-next-4{
    display: block;
}

#slider5:checked ~ .nav-prev-5,
#slider5:checked ~ .nav-next-5{
    display: block;
}

#slider1:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(0%);
}

#slider2:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(-25%);
}

#slider3:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(-50%);
}

#slider4:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(-75%);
}

#slider5:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(-100%);
}

#slider1:checked ~ .testimonials__bullets label[for="slider1"],
#slider2:checked ~ .testimonials__bullets label[for="slider2"],
#slider3:checked ~ .testimonials__bullets label[for="slider3"],
#slider4:checked ~ .testimonials__bullets label[for="slider4"],
#slider5:checked ~ .testimonials__bullets label[for="slider5"] {
    background-color: #082D10;
}

.testimonials__bullet{
    background: #F5F5F5;
    transition: background-color 0.3s;
}


@media (max-width: 1355px){
    .intro__text, .facilities__text{
        margin: 2% 10% 2%;
        line-height: 50px;
    }
}

@media (max-width: 768px){

    .hero-img img{
        width: 100%;
        height: auto;
    }

    .overlap-title{
        margin-top: -30px;
        font-size: 30px;
    }


    .intro{
        min-width: auto;
        text-align: left;
    }

    .intro__text{
        font-size: 15px;
        line-height: 30px;
    }

    .aktiviteter__cards{
        flex-direction: column;
        gap: 15px;
        margin: 0 10px;
    }

    .aktiviteter__title{
        font-size: 25px;
    }

    .aktiviteter__cards-item{
        width: 100%;
        min-height: auto;
    }

    .aktiviteter__cards-heading{
        font-size:15px ;
    }

    .facilities__title{
        font-size: 25px;
    }

    .aktiviteter__cards-text{
        font-size: 12px;
    }

    .facilities__text, .facilities__link{
        font-size: 15px;
        line-height: 30px;
    }

    .pricing__grid{
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .pricing__title{
        margin-top: 50px;
        font-size: 25px;
    }

   .pricing__note, .price-card-text, .price-card__price,.price-card-title{
    font-size: 15px;
   }

   .discount__badge-img{
    width: 120px;
    top: 5%;
    right: 2%;
   }

   .background__white-img{
    width: 95%;
    height: 85%;
    top: 51%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
   }

   .divider__icon img{
    width: 30px;
   }

   .testimonial__title{
    font-size: 25px;
   }

   .testimonials__nav{
    z-index: 20;
    pointer-events: auto;
   }

   .testimonials__track{
    display: flex;
    width: 500%;
    gap: 0;
    transition: transform 0.5s ease;
   }

   .testimonials__slide{
    flex: 0 0 20%;
    display: flex;
    justify-content: center;
   }

   .testimonial{
    max-width: 70%;
    margin: 0 auto;
    min-width: 250px;
   }

   .testimonial__text, .testimonial__author{
    font-size: 17px;
   }

   .testimonials__nav-next{
    right: 10px;
   }

   .testimonials__nav-prev{
    left: 10px;
   }

   .testimonials__bullets{
    bottom: -30px;
   }
  
   #slider1:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(0%);
    }
    #slider2:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(-20%);
    }
    #slider3:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(-40%);
    }
    #slider4:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(-60%);
    }
    #slider5:checked ~ .testimonials__viewport .testimonials__track {
    transform: translateX(-80%);
    }

}